Impossible d'envoyer des mails : problème version PHP

Voir le sujet précédent Voir le sujet suivant Aller en bas

Résolu Impossible d'envoyer des mails : problème version PHP

Message par Soso le Dim 30 Oct 2016 - 19:30

Bonjour à tous !

J'ai acheté le fameux Webacappella Responsive et ce nouveau concept est pas mal du tout.
Mais juste un petit problème : en publiant le site, je viens de voir qu'il était impossible d'envoyer un mail à partir des formulaires. Voici le message d'erreur :

- *Error -> Minimal PHP version is 5.2.7 ! , your version is 5.2.6-1+lenny16*

L'adresse mail est pourtant bien la bonne et mon site est hébergé par NERIM&Sivit

Que dois-je changer dans les paramètres PHB d'envoi de mails ?

Merci d'avance pour votre réponse et très bon week-end à vous tous !
Soso


Dernière édition par Soso le Lun 31 Oct 2016 - 20:42, édité 1 fois

Soso

Messages : 4
Date d'inscription : 30/10/2016
Age : 46

Revenir en haut Aller en bas

Résolu Re: Impossible d'envoyer des mails : problème version PHP

Message par microbull le Lun 31 Oct 2016 - 8:47

Bonjour Soso
Les formulaires utilisent les bases de données pour fonctionner. Vu le message Error reçu tu as du en paramétrer une et l'activer chez ton hébergeur. Pour fonctionner une base de données utilise le langage PHP. Actuellement ta BdD fonctionne avec une version 5.2.6-1 alors que pour fonctionner avec WRC il faut au minimum la version 5.2.7
Il faut voir chez ton hébergeur en principe dans ton espace client si tu peux migrer vers un PHP compatible avec WRC.
A titre indicatif certains hébergeurs propose PHP 7.0
Cordialement.
Microbull

microbull

Messages : 34
Date d'inscription : 28/10/2010

Revenir en haut Aller en bas

Résolu Re: Impossible d'envoyer des mails : problème version PHP

Message par Soso le Lun 31 Oct 2016 - 9:20

Merci beaucoup pour la réponse Microbull.
Je viens de contacter Nerim pour leur expliquer la situation.
Dès leur retour, je vous tiens au courant !
Bonne journée à vous !

Soso

Messages : 4
Date d'inscription : 30/10/2016
Age : 46

Revenir en haut Aller en bas

Résolu Re: Impossible d'envoyer des mails : problème version PHP

Message par Soso le Lun 31 Oct 2016 - 12:10

J'ai eu la réponse, j'ai essayé et ça marche.
Alors je partage l'info : il faut upgrader la version de notre php à travers un fichier htaccess déposé à la racine /public_html avec le ligne suivante:

SetEnv PHP_VER 5_3

Et je peux envoyer des mails ;-)
Par contre, WA rencontre un problème avec la publication :
1 fois sur 2 les modifications apportées dans les "propriétés" du formulaire ne sont pas du tout prises en compte lors de la publication. C'est un souci lorsque nous avons plusieurs formulaires différents...

Bien à vous !

Soso

Messages : 4
Date d'inscription : 30/10/2016
Age : 46

Revenir en haut Aller en bas

Résolu Re: Impossible d'envoyer des mails : problème version PHP

Message par Ellade44 le Lun 31 Oct 2016 - 18:30

Bonsoir Soso

Merci pour le partage concernant le php ce sera très utile pour les membres ayant le même problème .

Pour ton problème de formulaire, il est possible que ce ne soit qu'un problème de cache, il faut que tu vides le cache de ton navigateur et vérifies ce que ça donne ensuite.
Si ça ne règle rien ouvre un nouveau sujet car cette question n'a plus rien à voir avec ce sujet.
Une seule question par sujet afin de faciliter les recherches pour les membres ayant des problèmes similaires.

Sinon pour le problème php tu peux mettre en résolu en remontant sur ton 1er message et clic sur "Edit" coche l’icône vert "Résolu" et clic sur "Envoyer"

Merci et @ +

@ +

Ellade44

Messages : 6
Date d'inscription : 28/05/2009

Revenir en haut Aller en bas

Résolu Re: Impossible d'envoyer des mails : problème version PHP

Message par Soso le Lun 31 Oct 2016 - 20:41

oK je fais ça et si besoin est, j'ouvrirai un autre sujet ;-)
Bonne soirée à tous et merci !

Soso

Messages : 4
Date d'inscription : 30/10/2016
Age : 46

Revenir en haut Aller en bas

Voir le sujet précédent Voir le sujet suivant Revenir en haut

- Sujets similaires

 
Permission de ce forum:
Vous ne pouvez pas répondre aux sujets dans ce forum